ハンブルソフト サポート掲示板

有限会社ハンブルソフトの製品関連の疑問に答える掲示板です。
  新規投稿 ┃ツリー表示 ┃スレッド表示 ┃一覧表示 ┃トピック表示 ┃番号順表示 ┃検索 ┃設定 ┃ホーム  

2 / 26 ツリー    ←次へ | 前へ→

LED_Signboardをコンパイルするとエラーがでます みみ 19/8/18(日) 13:07 [添付]

とりあえず Adafruit_GFX_libraryのバージョンを下げ... nari 19/8/18(日) 13:28
Adafruit_GFX_libraryのバージョンを下げてコンパイ... みみ 19/8/19(月) 1:11 [添付]
コンパイルできました みみ 19/8/19(月) 2:18
ご報告ありがとうございます。 nari 19/8/19(月) 10:37
Re:ご報告ありがとうございます。 みみ 19/8/19(月) 20:04

とりあえず Adafruit_GFX_libraryのバージ...  nari  - 19/8/18(日) 13:28 -

ご質問ありがとうございます。

Adafruit_GFX_libraryのバージョン上昇に伴う変更が
原因のようです。

Adafruit_GFX_libraryの最新版は 1.15.6ですが、
これを 1.14.14まで戻せばコンパイルできそうです。
ちなみに、こちらで使用しているのは、開発時の最新版で
1.3.2です。

いずれ Humblesoft_ILI9341を更新する予定ですが、
とりあえずは Adafruit_GFX_libraryのバージョンを下げて見るのは
如何でしょうか。

引用なし

パスワード



・ツリー全体表示

Adafruit_GFX_libraryのバージョンを下げ...  みみ  - 19/8/19(月) 1:11 -

早速のご返信ありがとうございます。

Adafruit_GFX_libraryを 1.4.14 と 1.3.2 にしてコンパイルを試してみましたが前回と異なるエラーが出ています。
1.4.14と1.3.2のエラー内容は同じでした。

エラー内容を添付いたしますので対策方法のご対応をお願いできますでしょうか。


よろしくお願いいたします。

引用なし

パスワード


・ツリー全体表示

コンパイルできました  みみ  - 19/8/19(月) 2:18 -

ボードの esp8266 by ESP8266 Community を最新の 2.5.2 から 2.5.0 へダウンしたところコンパイルできました。
書き込みをできまして、無事動作させることができました。

ご対応ありがとうございました。

引用なし

パスワード



・ツリー全体表示

ご報告ありがとうございます。  nari  - 19/8/19(月) 10:37 -

ご報告ありがとうございます。

別件の質問と勘違いしたため、
変な回答になってしまいました。

最新のライブラリに対応したものに、
近いうちに更新したいと思います。

引用なし

パスワード



・ツリー全体表示

Re:ご報告ありがとうございます。  みみ E-MAIL  - 19/8/19(月) 20:04 -

誤解を招く書き方をしてしまいすみません。

Adafruit_GFX_libraryのバージョンを教えて頂いたおかげで大変スムーズにエラーの対応ができました。

ちなみに下記の変更の組み合わせによりコンパイルと書き込みができるようになりました。
Adafruit_GFX_library 1.15.6 -> 1.4.14
esp8266 by ESP8266 Community 2.5.2 -> 2.5.0

サポートありがとうございました。

引用なし

パスワード



・ツリー全体表示

2 / 26 ツリー    ←次へ | 前へ→
  新規投稿 ┃ツリー表示 ┃スレッド表示 ┃一覧表示 ┃トピック表示 ┃番号順表示 ┃検索 ┃設定 ┃ホーム  

 3091
ページ:  ┃  記事番号:  

C-BOARD Moyuku v1.03b3